#ifndef PATH_H
#define PATH_H

#include <limits.h>
#include <stdbool.h>

typedef struct {
    size_t capacity;
    size_t usedCapacity;
    char path[PATH_MAX];
} Path;

void initPath(Path* path, const char* strPath);
bool enterPath(Path* path, const char* object);
bool enterFile(Path* path, const char* object, const char* ending);
void leavePath(Path* path);

#endif